.feed {
  #audio {
    padding-top: 15px;
    padding-bottom: 15px;
    padding: 15px auto;
  }

  &.feed-shot-shake {
    animation: shake-out 0.5s ease-out;
  }

  @keyframes shake-out {
    0%,
    20% {
      transform: translate3d(-4px, 0, 0);
    }
    10%,
    30% {
      transform: translate3d(4px, 0, 0);
    }
    40% {
      transform: translate3d(-3px, 0, 0);
    }
    50% {
      transform: translate3d(3px, 0, 0);
    }
    60% {
      transform: translate3d(-2px, 0, 0);
    }
    70% {
      transform: translate3d(2px, 0, 0);
    }
    80% {
      transform: translate3d(-1px, 0, 0);
    }
    90% {
      transform: translate3d(1px, 0, 0);
    }
    100% {
      transform: translate3d(0px, 0, 0);
    }
  }

  .fade-enter {
    opacity: 1;
    transform: translateY(-30%);
  }

  .fade-enter-active {
    transition: opacity 0.3s ease-out, transform 0.3s ease-out;
    opacity: 1;
    transform: translateY(0);
  }

  .fade-leave {
    opacity: 1;
  }

  .fade-leave.fade-leave-active {
    transition: opacity 0.3s ease-out;
    opacity: 0;
  }
  
}

.feed-reverse {
  display: flex;
  flex-direction: column-reverse;
}

.feed-item {
  border: 1px solid #efefef;
  border-radius: 2px;
  padding: 0.35em;
  margin: 0.25em;
  text-align: center;
  font-size: 1.1rem;
  font-weight: bold;
  color: rgba(0, 0, 0, 0.85);
  box-shadow: 0 0 10px -4px rgba(48, 75, 163, 0.2);

  @media (min-width: 992px) {
    font-size: 1.5rem;
  }
}

.feed-item__emoji > img {
  max-width: 100%;
  max-height: 40px;
}

:root {
  --ticker-height: 3em;
  --feed-height: calc(100% - var(--ticker-height));
}

.feed-items {
  overflow: hidden;

  @media (min-width: 992px) {
    height: var(--feed-height);
    padding-bottom: var(--ticker-height);
  }
}

.ticker-container {
  display: none;
  width: 100%;
  height: var(--ticker-height);
  overflow: hidden;

  @media (min-width: 992px) {
    display: block;
  }

  .ticker-outer {
    width: 100%;
    height: 100%;
    position: relative;
  }

  .ticker-message-button {
    position: absolute;
    left: 0;
    bottom: 0;
    background: white;
  }

  .ticker-item {
    font-size: 2em;
    margin-right: 2em;
  }
}